<?

 require 'common.php';

 if ($_SESSION["alias"]) { // ALREADY LOGGED IN
  $alias = $_SESSION["alias"];
  if ($_POST["action"] == "setup") { // SETUP SUBMISSION
   if (!preg_match('/^1\d\d\d$/',$_POST["number"])) {
    $error = "patn formt tlf. sla.";
   }
   else {
    db_query("UPDATE user SET token=".db_escape($_POST["token"]).
                          ", number=".db_escape($_POST["number"]).
			  ", ip=".($_POST["ip"] ? db_escape($_POST["ip"]) : 'NULL').
			  ", port=".db_escape($_POST["port"]).
			  " WHERE alias=".db_escape($alias));
    $ok = "Nastaven uloeno.";
   }
  }
  elseif ($_POST["action"] == "password") { // PASSWORD CHANGE
   $password0 = $_POST['password0'];
   $password1 = $_POST['password1'];
   $password2 = $_POST['password2'];
   if ($password1 <> $password2) {
    $error = "Rzn hesla.";
   }
   elseif (strlen($password1) > 32 || strlen($password1) < 6 ) {
    $error = "Dlka hesla mus bt 6-32 znak.";
   }
   else {
    $result = db_query("SELECT password FROM user WHERE alias = ".db_escape($alias));
    $row = db_fetch($result);
    if (sha1($alias.'/'.$_POST["password0"]) == $row["password"]) {
     $password = sha1("$alias/$password1");
     db_query("UPDATE user SET password=".db_escape($password)." WHERE alias=".db_escape($alias));
     $ok = "Heslo zmnno.";
    }
    else {
     $error = "patn heslo.";
    }
   }
  }
 }
 elseif ($_POST["action"] == "signup") { // NEW SIGNUP
  $proposed_alias = strtolower($_POST['alias']);
  $password1 = $_POST['password1'];
  $password2 = $_POST['password2'];
  if ($password1 <> $password2) {
   $error = "Rzn hesla.";
  }
  elseif (strlen($password1) > 32 || strlen($password1) < 6 ) {
   $error = "Dlka hesla mus bt 6-32 znak.";
  }
  elseif (0!=db_count("SELECT alias FROM user WHERE alias = ".db_escape($proposed_alias))) {
   $error = "Alias u existuje.";
  }
  else {
   $password = sha1("$proposed_alias/$password1");
   db_query("INSERT INTO user VALUES (".db_escape($proposed_alias).",".db_escape($password).",NULL,NULL,NULL,NULL);");
   $ok = "Registrace probhla spsn.";
   $_SESSION["alias"] = $alias = $proposed_alias;
  }
 }
 elseif ($_POST["action"] == "login") { // NEW LOGIN
  $result = db_query("SELECT password FROM user WHERE alias = ".db_escape($_POST["alias"]));
  $row = db_fetch($result);
  if ($row) {
   if (sha1(strtolower($_POST["alias"]).'/'.$_POST["password"]) == $row["password"]) {
    $_SESSION["alias"] = $alias = strtolower($_POST["alias"]);
   }
   else {
    $error = "patn heslo.";
   }
  }
  else {
   $error = "Alias neexistuje.";
  }
 }

 head();

 if ($ok) { echo "<div class=\"ok\">$ok</div>"; }
 if ($error) { echo "<div class=\"error\">$error</div>"; }

 if ($alias) {
  $result = db_query("SELECT * FROM user WHERE alias = ".db_escape($alias));
  $row = db_fetch($result);
  echo '<div class="setup">Nastaven:';
  echo '<div class="gatekeeper">Gatekeeper:';
  echo '<form method="post" action="setup.php">';
  echo "Alias: $alias<br />";
  echo 'GK heslo: <input name="token" size=20 value="'.$row["token"].'" /> (heslo pro pihlaovn na gatekeeper)<br />';
  echo 'Tlf. slo: <input name="number" type="text" size=4 value="'.$row["number"].'" /> (ve tvaru 1xxx)<br />';
  echo 'IP: <input name="ip" size=20 value="'.$row["ip"].'" />:<input name="port" value="'.$row["port"].'" size=5 /> (nepovinn)<br />';
  echo '<input type="hidden" name="action" value="setup" />';
  echo '<input type="submit" value="Nastavit" /><br />';
  echo '</form></div>';
  echo '<div class="password">Heslo pro toto webov rozhran:';
  echo '<form method="post" action="setup.php">';
  echo 'Star heslo: <input name="password0" type="password" size=20 /><br />';
  echo 'Nov heslo: <input name="password1" type="password" size=20 /><br />';
  echo 'Znovu: <input name="password2" type="password" size=20><br />';
  echo '<input type="hidden" name="action" value="password" />';
  echo '<input type="submit" value="Zmnit" /><br />';
  echo '</form></div>';
  echo '</div>';
 }
 else {
  echo '<div class="login">Pihlen:';
  echo '<form method="post" action="setup.php">';
  echo 'Alias: <input name="alias" type="text" size=20 value="'.$_POST["alias"].'" /><br />';
  echo 'Heslo: <input name="password" type="password" size=20><br />';
  echo '<input type="hidden" name="action" value="login" />';
  echo '<input type="submit" value="Vstup" /><br />';
  echo '</form></div>';
  echo '<div class="signup">Registrace:';
  echo '<form method="post" action="setup.php">';
  echo 'Alias: <input name="alias" type="text" value="'.$_POST["alias"].'" size=20 /> (mal psmena, bude se zobrazovat volanmu)<br />';
  echo 'Heslo: <input name="password1" type="password" size=20 /> (heslo pro toto webov rozhran, 6-32 znak)<br />';
  echo 'Znovu: <input name="password2" type="password" size=20 /><br />';
  echo '<input type="hidden" name="action" value="signup" />';
  echo '<input type="submit" value="Registrovat" /><br />';
  echo '</form></div>';
 }
 foot();

?>
